package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Facility;
import com.lightinit.hsdatashow.entity.FacilityExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.FacilitiesResultModel;
import org.apache.ibatis.annotations.Param;

public interface FacilityMapper {
    long countByExample(FacilityExample example);

    int deleteByExample(FacilityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Facility record);

    int insertSelective(Facility record);

    List<Facility> selectByExample(FacilityExample example);

    Facility selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Facility record, @Param("example") FacilityExample example);

    int updateByExample(@Param("record") Facility record, @Param("example") FacilityExample example);

    int updateByPrimaryKeySelective(Facility record);

    int updateByPrimaryKey(Facility record);

    List<FacilitiesResultModel> getFacility(@Param("facilityCode") String facilityCode);
}